/**
 * 
 */
package de.bstly.board.controller.support;

import org.springframework.lang.Nullable;
import org.springframework.validation.AbstractBindingResult;


/**
 * The Class RequestBodyErrors.
 */
@SuppressWarnings("serial")
public class RequestBodyErrors extends AbstractBindingResult {

	
	@Nullable
	private final Object target;

	/**
	 * Instantiates a new request body errors.
	 *
	 * @param target the target
	 */
	public RequestBodyErrors(@Nullable Object target) {
		super("request-body");
		this.target = target;
	}

	/*
	 * @see org.springframework.validation.AbstractBindingResult#getTarget()
	 */
	@Override
	public Object getTarget() {
		return target;
	}


	/*
	 * @see org.springframework.validation.AbstractBindingResult#getActualFieldValue(java.lang.String)
	 */
	@Override
	protected Object getActualFieldValue(String field) {
		// Not necessary
		return null;
	}

}
